Results 1 to 1 of 1

Thread: Beef-xss dependency problem

  1. #1
    Join Date
    2018-Jan
    Posts
    4

    Beef-xss dependency problem

    Cant do a kali-linux-full install or kali-linux-wireless install
    it throws a beef-xss dependency error - shown below.

    I'm using an ODROID C2 and have tried both kal 2017.1 and 2017.3 with the same results.
    Checked the SHA256sum - all good
    I have a 128GB eMMC and used GPARTED - it now has 128MB Fat32 ext4 shows 97.66 GB 4.89GN Used and 92.76 Unused.
    The basic install and connectivity seems ok.

    I am doing
    apt-get update
    apt-get dist-upgrade

    everything looks ok so far - then.....

    root@kali-arm64:~# apt-get install kali-linux-full
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    kali-linux-full : Depends: beef-xss but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    root@kali-arm64:~#

    Did apt-get clean
    dpkg --configure -a
    apt-get install -f

    even tried
    apt-get install beef-xss and it indicates a rubytracer dependency not met.

    What should I try next? I see people have had this issue before - and I have tried (as listed) the fixes suggested to no avail. Am I not holding my jaw right?


    Update: February 19, 2018
    I have decided this distro just doesn't work with Odroid C series.... either the 32 bit odroidC release or the 64bit C2 release.... wasted about 50 hours on it and nobody seems to have successfully installed it on either Odroid since the rolling versions OdroidC hangs on "Package Configuration - Configuring Kismet" and C2 hangs on beef-xss. Also noticed it complaining during update it says initrd.img 3.14.79 does not exist. . Save yourself the bother and just forget it.... just not ready for prime time. Posted issue on kali.org and Odorid forum - Odroid said they couldn't help - I think the distro is fragged and doesn't work in its present state. Putting it away until I have nothing to do - and will check future distro - Hope I save you some time.
    Last edited by muddy; 2018-02-23 at 01:15.

Similar Threads

  1. Problem with BeEF with Kali Rolling Release
    By OMDRsamid in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-04-22, 23:01
  2. BeEF Authentication Problem
    By v0ld3 in forum General Archive
    Replies: 4
    Last Post: 2014-01-14, 15:39
  3. psad dependency problem (virtual package)
    By moh in forum General Archive
    Replies: 3
    Last Post: 2013-05-08, 12:34
  4. Cannot Update - Multiple Dependency problem.
    By thewooster in forum TroubleShooting Archive
    Replies: 2
    Last Post: 2013-05-02, 14:27

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •